Cyberpanel New installer 2.0 can't install

Cyberpanel new installer 2.0 can't install on centos 7

Traceback (most recent call last):
File "install.py", line 3647, in
main()
File "install.py", line 3581, in main
import installCyberPanel
File "/root/install/installCyberPanel.py", line 4, in
import pexpect
ImportError: No module named pexpect

i got this message and installation is stopped

Thanks you

Comments

  • Hi,

    May I know what is your system ?
  • CentOS 7 .. KVM .. before 2.0 installer always fine .. just got that errors in 2.0 installer :)
  • Same error for me on the same system.
  • edited November 28
    there are several options , which ones you chose ? OLS/ENT ? MariaDB? extension ? and which provider it is ?
  • OLS / MariaDB ( already tried with all 3 versions )
    Provider is Cloudcone
    just got that errors when installer 2.0 is released

    Thanks you
  • it happens I have an account on CloudCone as well , I will try on it.
  • Fixed in installer script.

    I just tested with CloudCone VPS, and it works fine.

    Please try it again.
  • Still broken for me. Should I start my own bug report though? I am using Virmach.
  • zreon said:

    Still broken for me. Should I start my own bug report though? I am using Virmach.

    well , I'm sorry in that case I don't have Virmach to test.

    what error message you got ?
  • installer problem was fixed .
    but it take over 40 mins to finish installation
    may be depend on r/w speed of my VPS

    btw . memcache vs redis . which one will be best on cyberpanel for wordpress with litespeedcache .. or should ignore them and only use litespeedcache ?

    Thank you
  • edited November 29
    yeah , on black friday and cybermondy virmach seems sold a lot , that could effect the performance.

    on average machine it should be about 10 minutes or so.

    memcached and redis are only for object cache , it's different with LS cache.

    if you are not sure what to do , then just stick LS cache and don't install others.
  • This is the error I am receiving.

    Collecting http://mirror.cyberpanel.net/pip/pexpect-4.4.0.tar.gz
    Retrying (Retry(total=4, connect=None, read=None, redirect=None)) after connection broken by 'NewConnectionError(': Failed to establish a new connection: [Errno 111] Connection refused',)': /pip/pexpect-4.4.0.tar.gz
    Retrying (Retry(total=3, connect=None, read=None, redirect=None)) after connection broken by 'NewConnectionError(': Failed to establish a new connection: [Errno 111] Connection refused',)': /pip/pexpect-4.4.0.tar.gz
    Retrying (Retry(total=2, connect=None, read=None, redirect=None)) after connection broken by 'NewConnectionError(': Failed to establish a new connection: [Errno 111] Connection refused',)': /pip/pexpect-4.4.0.tar.gz
    Retrying (Retry(total=1, connect=None, read=None, redirect=None)) after connection broken by 'NewConnectionError(': Failed to establish a new connection: [Errno 111] Connection refused',)': /pip/pexpect-4.4.0.tar.gz
Sign In or Register to comment.
Support CyberPanel CyberPanel Discord

Howdy, Stranger!

It looks like you're new here. If you want to get involved, click one of these buttons!